Bug 843335 - (CVE-2012-3427) CVE-2012-3427 JBoss EAP 5 AMI: insecure default file permissions for /var/cache/jboss-ec2-eap
CVE-2012-3427 JBoss EAP 5 AMI: insecure default file permissions for /var/cac...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20121016,reported=2...
: Security
Depends On:
Blocks: 843339
  Show dependency treegraph
 
Reported: 2012-07-26 00:31 EDT by David Jorm
Modified: 2014-10-20 20:03 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-17 05:29:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jorm 2012-07-26 00:31:51 EDT
On the JBoss EAP 5 EC2 AMI, the /var/cache/jboss-ec2-eap directory has default permissions of 755. A local attacker could exploit these insecure permissions to read potentially sensitive information from this directory, such as AWS credentials.
Comment 2 Murray McAllister 2012-10-16 01:53:36 EDT
Acknowledgements:

This issue was discovered by Aleksandar Kostadinov of the Red Hat QE Team.
Comment 4 errata-xmlrpc 2012-10-16 09:23:33 EDT
This issue has been addressed in following products:

  JBEAP 5 for RHEL 6

Via RHSA-2012:1376 https://rhn.redhat.com/errata/RHSA-2012-1376.html

Note You need to log in before you can comment on or make changes to this bug.